Name:		log4c
Version:	1.2.4
Release:	2%{?dist}
Summary:	Library for logging application messages

License:	LGPLv2+
URL:		http://log4c.sourceforge.net/
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
# Double free or corruption with multiple log4c_init()/log4c_fini()
# https://bugzilla.redhat.com/show_bug.cgi?id=1095366
# Applied in upstream
Patch0:         reinit.patch
# Applied in upstream
Patch1:         format.patch

BuildRequires:  expat-devel
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  make

%description
Log4c is a C language library for flexible logging to files, syslog and other
destinations. It is modeled after the Log for Java library (log4j),
staying as close to their API as is reasonable.


%package devel
Summary:	Header files, libraries and development documentation for %{name}
Group:		Development/Libraries
Requires:	%{name}%{?_isa} = %{version}-%{release}

%description devel
Log4c is a C language library for flexible logging to files, syslog and other
destinations. It is modeled after the Log for Java library (log4j),
staying as close to their API as is reasonable.

This package contains development files for %{name}. If you like to develop
programs using %{name}, you will need to install %{name}-devel.


%prep
%setup -q
%patch0 -p1
%patch1 -p1


%build
%configure --disable-static
make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}
# example config file below shouldn't live in /etc/
rm %{buildroot}/etc/log4crc.sample
rm %{buildroot}%{_libdir}/*.la
# munge log4c-config to prevent file conflicts on multilib systems,
# the default paths are not needed in the build flags anyway
sed -r -i \
	-e 's|^libdir=/usr/lib(64)?$|libdir=/usr/lib|' \
	-e 's|-L\$libdir ||' \
	-e 's|-I\$includedir ||' %{buildroot}%{_bindir}/log4c-config


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%doc COPYING AUTHORS ChangeLog NEWS README log4crc.sample
%{_libdir}/liblog4c.so.3
%{_libdir}/liblog4c.so.3.*

%files devel
%{_libdir}/liblog4c.so
%{_libdir}/pkgconfig/*.pc
%{_bindir}/*
%{_includedir}/*
%{_datadir}/aclocal/log4c.m4
%{_mandir}/man1/*


%changelog
* Sat Mar 13 2021 František Dvořák <valtri@civ.zcu.cz> - 1.2.4-2
- Patch to fix library reinitialization (bug #1095366, #1901955)
- Format patch (FTBS in F28)
- Add explicitly some BR dependencies

* Tue May 06 2014 František Dvořák <valtri@civ.zcu.cz> - 1.2.4-1
- Port to EPEL 7 branch
- Disable -doc subpackage again

* Thu Oct 03 2013 František Dvořák <valtri@civ.zcu.cz> - 1.2.4-1
- Release log4c 1.2.4
- Add -doc subpackage

* Sun Jul 28 2013 Ville Skyttä <ville.skytta@iki.fi> - 1.2.3-2
- Simplify install of docs.

* Sat Apr 06 2013 František Dvořák <valtri@civ.zcu.cz> - 1.2.3-1
- Release log4c 1.2.3
- Added pkgconfig file and the manpage for log4c-config

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Dec 08 2012 František Dvořák <valtri@civ.zcu.cz> - 1.2.2-2
- Unify log4c-config to make log4c-devel installable on multilib systems

* Tue Dec 04 2012 František Dvořák <valtri@civ.zcu.cz> - 1.2.2-1
- Release log4c 1.2.2
- Removed the m4 patch, now in upstream
- Arch-specific dependencies
- Correct description in devel subpackage
- Fixes from repeated review (license file, deprecated tags, ...)

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Sep 05 2009 Alex (Fedora Packaging Account) <fedora@alexhudson.com> - 1.2.1-7
- Added patch to fix underquoting in M4 file (bug #507427)

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Jan 30 2009 Alex Hudson <fedora@alexhudson.com> - 1.2.1-3
- depend on automake for the m4 macro
- import into Fedora

* Mon Jan 26 2009 Alex Hudson <fedora@alexhudson.com> - 1.2.1-2
- new build-dep on expat for better config file parsing
- tidy source0 and use of macros
- .la files are removed after the build

* Tue Jan 13 2009 Alex Hudson <fedora@alexhudson.com> - 1.2.1-1
- Initial packaging attempt
